libguestfs not work anymore with 4.13.0-26-generic #29~16.04.2-Ubuntu

Bug #1743300 reported by Oliver on 2018-01-15
282
This bug affects 5 people
Affects Status Importance Assigned to Milestone
supermin (Ubuntu)
Undecided
Unassigned
Xenial
Medium
Nivedita Singhvi

Bug Description

[Impact]

An update to mainline kernel v4.13 breaks the supermin v5.1.14
package in Xenial. Supermin is a tool for preparing and building
very specific, tiny, virtual appliances which boot very fast. It
uses an ext2 file system disk image. Users of supermin functionality
like guestfish, libguestfs-test-tool, etc., all break in different
ways as a result, some catastrophic, but in each case, the tool
and virtual appliance are not usable. This impacts the
libguestfs-tools package (users of supermin).

This bug results in users not being able to upgrade their kernel,
specifically, use a kernel that is v4.13-based or later. A
workaround is to ensure that an earlier kernel (e.g. v4.4-based
Xenial kernels) is used by supermin. This can conflict
with user needs to use a later kernel for other reasons.

[Test Case]

1) Using the v5.1.14 supermin installed and running on a 4.13-based
   kernel like 4.13.0-32-generic #35~16.04.1-Ubuntu:
   (Assuming you have virtualization support packages etc. already
    installed):

    $ sudo apt-get install libguestfs-tools
    $ libguestfs-test-tool

     [appliance kernel panic or qemu crash or just a silent hang]

2) Using the v5.1.14 supermin version and running on a 4.13-based
   kernel like 4.13.0-32-generic #35~16.04.1-Ubuntu:

   # wget https://cloud-images.ubuntu.com/releases/16.04/release/ubuntu-16.04-server-cloudimg-amd64-disk1.img -O /var/lib/libvirt/images/ubuntu-16.04-server-cloudimg-amd64-disk1.img

   # guestfish --rw -a /var/lib/libvirt/images/ubuntu-16.04-server-cloudimg-amd64-disk1.img
Welcome to guestfish, the guest filesystem shell for
editing virtual machine filesystems and disk images.

Type: 'help' for help on commands
'man' to read the manual
'quit' to quit the shell

><fs> run
libguestfs: error: appliance closed the connection unexpectedly.
This usually means the libguestfs appliance crashed.

[Regression Potential]

* There might be errors in creation and management of tiny
  supermin appliances via tools in the libguestfs-tools
  package.

[Other Info]

* From the upstream patch description, brief explanation of
  the bug:

  "The ext2 filesystem on disk format has two ways to store symlinks.
  For symlinks >= 60 bytes in length, they are stored as files
  (so-called "slow symlinks"). For shorter symlinks the symlink is
  stored in the inode ("fast symlinks").

  Previously we only created slow symlinks even if they are shorter than
  60 bytes. This didn't matter until recently, when a change went into
  the upstream kernel which assumes that symlinks shorter than 60 bytes
  are always stored in the inode, thus breaking the filesystems that we
  created before..."

  Note that the real fix is to switch to use ext2fs_symlink() to create
  links.

* A fix for this problem went into upstream supermin v5.1.18.
  Thus this bug affects supermin < v5.1.18, and kernel >= v4.13.

* Thus this bug only affects the Ubuntu Xenial distro release:

   supermin = v5.1.14
   kernel = v4.13.*

  Artful includes the v4.1.18 supermin package (which has the symlink fix)
  and Bionic has a later one (v4.1.19). Thus neither is affected by
  this issue. Trusty is running an older version (4.1.6-1) of supermin
  but is not running the v4.13 or later kernel, and is thus not affected
  either.

* This fix has been tested successfully on Xenial and shown to fix the
  reported and related breakages as listed in the Test Case section
  and more.

* A public PPA test package for Xenial is available to test with
  and has been tested by at least one user who was seeing the
  problem, successfully.

* This fix backports 2 patches from upstream:

   1. ext2: Don't load whole files into memory when copying to the appliance (RHBZ#1113065).
   2. ext2: Create symlinks properly (RHBZ#1470157).

   Patch 1 is necessary as it supplies some dependent code
   used by Patch 2; and Patch 2 does not compile cleanly without
   it.

  https://github.com/libguestfs/supermin/commit/158854e3ba4be7f6b8d81f662ddad98358ede1de

  https://github.com/libguestfs/supermin/commit/f5a3deef588759c49dc862427a265aced612002d

  Both patches are contained to a single file (ext2fs-c.c).

* The fixed supermin has been tested with older (< 4.13) kernels
  as well, with no regression or issues.

* There is no security impact / aspect to this change (as confirmed
  by a quick review from security team member)

----

Original Description
=====================
after upgrade to 4.13.0-26-generic #29~16.04.2-Ubuntu all the virt-* tools not work anymore

running the libguestfs-test-tool shows that the qemu kernel crashes
[ 0.755354] Kernel panic - not syncing: Attempted to kill init! exitcode=0x00000100
[ 0.755354]
[ 0.756619] CPU: 0 PID: 1 Comm: init Not tainted 4.13.0-26-generic #29~16.04.2-Ubuntu
[ 0.757893] Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS Ubuntu-1.8.2-1ubuntu1 04/01/2014
[ 0.759157] Call Trace:
[ 0.759444] dump_stack+0x63/0x8b
[ 0.760847] panic+0xe4/0x23d
[ 0.761184] do_exit+0xae6/0xaf0
[ 0.761547] ? dput+0x34/0x1f0
[ 0.762292] do_group_exit+0x43/0xb0
[ 0.762690] SyS_exit_group+0x14/0x20
[ 0.763333] entry_SYSCALL_64_fastpath+0x1e/0x81
[ 0.764221] RIP: 0033:0x451579
[ 0.764799] RSP: 002b:00007ffda4fe3768 EFLAGS: 00000246 ORIG_RAX: 00000000000000e7
[ 0.766275] RAX: ffffffffffffffda RBX: 0000000001415cb3 RCX: 0000000000451579
[ 0.767056] RDX: 0000000000000008 RSI: 0000000000000001 RDI: 0000000000000001
[ 0.768290] RBP: 0000000001415c30 R08: 000000000000003c R09: 00000000000000e7
[ 0.769451] R10: ffffffffffffffd0 R11: 0000000000000246 R12: 0000000000000000
[ 0.770651] R13: 0044b82fa09b5a53 R14: 0000000000000000 R15: 0000000001415c30
[ 0.772563] Kernel Offset: 0x3cc00000 from 0xffffffff81000000 (relocation range: 0xffffffff80000000-0xffffffffbfffffff)
[ 0.774729] Rebooting in 1 seconds..
libguestfs: error: appliance closed the connect

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: linux-image-4.13.0-26-generic 4.13.0-26.29~16.04.2
ProcVersionSignature: Ubuntu 4.13.0-26.29~16.04.2-generic 4.13.13
Uname: Linux 4.13.0-26-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.15
Architecture: amd64
Date: Mon Jan 15 07:03:40 2018
InstallationDate: Installed on 2017-07-14 (184 days ago)
InstallationMedia: Ubuntu-Server 16.04.2 LTS "Xenial Xerus" - Release amd64 (20170215.8)
SourcePackage: linux-hwe
UpgradeStatus: No upgrade log present (probably fresh install)

Oliver (ojehle) wrote :
Oliver (ojehle) on 2018-01-15
information type: Public → Private Security
information type: Private Security → Public Security
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-hwe (Ubuntu):
status: New → Confirmed
Oliver (ojehle) wrote :

switch back with

export SUPERMIN_KERNEL_VERSION=4.10.0-42-generic
export SUPERMIN_KERNEL=/boot/vmlinuz-$SUPERMIN_KERNEL_VERSION
export SUPERMIN_MODULES=/lib/$SUPERMIN_KERNEL_VERSION

is a workaround ....

Richard Jones (rjones-redhat) wrote :

You've truncated the full log, but I'm going to bet the problem is this 6+ month old bug in supermin which Ubuntu hasn't fixed yet:

https://github.com/libguestfs/supermin/commit/158854e3ba4be7f6b8d81f662ddad98358ede1de

Solutions in decreasing order of preference:

 - Upgrade supermin to latest.

 - Backport just the above patch to supermin.

 - Go back to < 4.13 kernel.

Download full text (3.2 KiB)

Debian has already 5.1.19 in the repo. Ubuntu is on 5.1.14.

I took the patch and applied it to the ubuntu version 5.1.14, generated the packages and it worked with the 4.13 kernel

----- Original Message -----
From: "Richard Jones" <email address hidden>
To: "Oliver Jehle" <email address hidden>
Sent: Tuesday, January 16, 2018 4:20:28 PM
Subject: [Bug 1743300] Re: libguestfs not work anymore with 4.13.0-26-generic #29~16.04.2-Ubuntu

You've truncated the full log, but I'm going to bet the problem is this
6+ month old bug in supermin which Ubuntu hasn't fixed yet:

https://github.com/libguestfs/supermin/commit/158854e3ba4be7f6b8d81f662ddad98358ede1de

Solutions in decreasing order of preference:

 - Upgrade supermin to latest.

 - Backport just the above patch to supermin.

 - Go back to < 4.13 kernel.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1743300

Title:
  libguestfs not work anymore with 4.13.0-26-generic #29~16.04.2-Ubuntu

Status in linux-hwe package in Ubuntu:
  Confirmed

Bug description:
  after upgrade to 4.13.0-26-generic #29~16.04.2-Ubuntu all the virt-*
  tools not work anymore

  running the libguestfs-test-tool shows that the qemu kernel crashes
  [ 0.755354] Kernel panic - not syncing: Attempted to kill init! exitcode=0x00000100
  [ 0.755354]
  [ 0.756619] CPU: 0 PID: 1 Comm: init Not tainted 4.13.0-26-generic #29~16.04.2-Ubuntu
  [ 0.757893] Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS Ubuntu-1.8.2-1ubuntu1 04/01/2014
  [ 0.759157] Call Trace:
  [ 0.759444] dump_stack+0x63/0x8b
  [ 0.760847] panic+0xe4/0x23d
  [ 0.761184] do_exit+0xae6/0xaf0
  [ 0.761547] ? dput+0x34/0x1f0
  [ 0.762292] do_group_exit+0x43/0xb0
  [ 0.762690] SyS_exit_group+0x14/0x20
  [ 0.763333] entry_SYSCALL_64_fastpath+0x1e/0x81
  [ 0.764221] RIP: 0033:0x451579
  [ 0.764799] RSP: 002b:00007ffda4fe3768 EFLAGS: 00000246 ORIG_RAX: 00000000000000e7
  [ 0.766275] RAX: ffffffffffffffda RBX: 0000000001415cb3 RCX: 0000000000451579
  [ 0.767056] RDX: 0000000000000008 RSI: 0000000000000001 RDI: 0000000000000001
  [ 0.768290] RBP: 0000000001415c30 R08: 000000000000003c R09: 00000000000000e7
  [ 0.769451] R10: ffffffffffffffd0 R11: 0000000000000246 R12: 0000000000000000
  [ 0.770651] R13: 0044b82fa09b5a53 R14: 0000000000000000 R15: 0000000001415c30
  [ 0.772563] Kernel Offset: 0x3cc00000 from 0xffffffff81000000 (relocation range: 0xffffffff80000000-0xffffffffbfffffff)
  [ 0.774729] Rebooting in 1 seconds..
  libguestfs: error: appliance closed the connect

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: linux-image-4.13.0-26-generic 4.13.0-26.29~16.04.2
  ProcVersionSignature: Ubuntu 4.13.0-26.29~16.04.2-generic 4.13.13
  Uname: Linux 4.13.0-26-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.15
  Architecture: amd64
  Date: Mon Jan 15 07:03:40 2018
  InstallationDate: Installed on 2017-07-14 (184 days ago)
  InstallationMedia: Ubuntu-Server 16.04.2 LTS "Xenial Xerus" - Release amd64 (20170215.8)
  SourcePackage: linux-hwe
  UpgradeStatus: No upgrade log present (probably fresh install)

To man...

Read more...

Oliver (ojehle) wrote :

please update to upstream (but there are dependencies in debian not resolved in the 16.04 LTS) or backport the change from 5.1.19..

i did the backport and it works with 4.13.

affects: linux-hwe (Ubuntu) → supermin (Ubuntu)
Richard Jones (rjones-redhat) wrote :

Backporting the commit is perfectly fine, it's only a small change needed to work around a change (regression, really) in the ext4 kernel module.

Oliver (ojehle) wrote :

debian is already on 5.1.19.

The only thing i did was a diff of ext2fs-c.c between the 5.1.19 and the 5.1.14 .applied the patch and
recreated the deb packages for the 16.04 LTS.

lets hope a maintainer will fix it..

thanks richard

Oliver (ojehle) wrote :

the guestfs-test-tool works, but the /usr/bin/virt-list-partitions not. attached the debug log... when switching to the old kernel it works

Honghe Wu (honghe) wrote :

@Oliver how to downgrade kernel?

Oliver (ojehle) wrote :
Download full text (3.4 KiB)

1) I copied an old kernel away (in my case to /usr/local/supermin)

root@b3:/usr/local/supermin# ls
4.10.0-42-generic initrd.img-4.10.0-42-generic
abi-4.10.0-42-generic System.map-4.10.0-42-generic
config-4.10.0-42-generic vmlinuz-4.10.0-42-generic
root@b3:/usr/local/supermin#

2) i set the environment variables for supermin

export SUPERMIN_KERNEL_VERSION=4.10.0-42-generic
export SUPERMIN_KERNEL=/usr/local/supermin/vmlinuz-$SUPERMIN_KERNEL_VERSION
export SUPERMIN_MODULES=/usr/local/supermin/$SUPERMIN_KERNEL_VERSION

3) removed the /var/tmp/.guest* images of supermin

next time you run a command with supermin, it creates a new image with the kernel set by SUPERMIN_KERNEL and SUPERMIN_MODULES.

----- Original Message -----
From: "Honghe Wu"
To: "Oliver Jehle"
Sent: Monday, January 22, 2018 8:25:08 AM
Subject: [Bug 1743300] Re: libguestfs not work anymore with 4.13.0-26-generic #29~16.04.2-Ubuntu

@Oliver how to downgrade kernel?

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1743300

Title:
  libguestfs not work anymore with 4.13.0-26-generic #29~16.04.2-Ubuntu

Status in supermin package in Ubuntu:
  Confirmed

Bug description:
  after upgrade to 4.13.0-26-generic #29~16.04.2-Ubuntu all the virt-*
  tools not work anymore

  running the libguestfs-test-tool shows that the qemu kernel crashes
  [ 0.755354] Kernel panic - not syncing: Attempted to kill init! exitcode=0x00000100
  [ 0.755354]
  [ 0.756619] CPU: 0 PID: 1 Comm: init Not tainted 4.13.0-26-generic #29~16.04.2-Ubuntu
  [ 0.757893] Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS Ubuntu-1.8.2-1ubuntu1 04/01/2014
  [ 0.759157] Call Trace:
  [ 0.759444] dump_stack+0x63/0x8b
  [ 0.760847] panic+0xe4/0x23d
  [ 0.761184] do_exit+0xae6/0xaf0
  [ 0.761547] ? dput+0x34/0x1f0
  [ 0.762292] do_group_exit+0x43/0xb0
  [ 0.762690] SyS_exit_group+0x14/0x20
  [ 0.763333] entry_SYSCALL_64_fastpath+0x1e/0x81
  [ 0.764221] RIP: 0033:0x451579
  [ 0.764799] RSP: 002b:00007ffda4fe3768 EFLAGS: 00000246 ORIG_RAX: 00000000000000e7
  [ 0.766275] RAX: ffffffffffffffda RBX: 0000000001415cb3 RCX: 0000000000451579
  [ 0.767056] RDX: 0000000000000008 RSI: 0000000000000001 RDI: 0000000000000001
  [ 0.768290] RBP: 0000000001415c30 R08: 000000000000003c R09: 00000000000000e7
  [ 0.769451] R10: ffffffffffffffd0 R11: 0000000000000246 R12: 0000000000000000
  [ 0.770651] R13: 0044b82fa09b5a53 R14: 0000000000000000 R15: 0000000001415c30
  [ 0.772563] Kernel Offset: 0x3cc00000 from 0xffffffff81000000 (relocation range: 0xffffffff80000000-0xffffffffbfffffff)
  [ 0.774729] Rebooting in 1 seconds..
  libguestfs: error: appliance closed the connect

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: linux-image-4.13.0-26-generic 4.13.0-26.29~16.04.2
  ProcVersionSignature: Ubuntu 4.13.0-26.29~16.04.2-generic 4.13.13
  Uname: Linux 4.13.0-26-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.15
  Architecture: amd64
  Date: Mon Jan 15 07:03:40 2018
  InstallationDate: Installed on 2017-07-14 (184 days ago)
  InstallationMedia: Ubuntu-Server 16...

Read more...

Download full text (3.4 KiB)

This is indeed the breakage in supermin, as suggested by Richard and others here.

The following mainline kernel commit in 4.13 broke supermin's symlink handling:

commit 407cd7fb83c0ebabb490190e673d8c71ee7df97e
Author: Tahsin Erdogan <email address hidden>
Date: Tue Jul 4 00:11:21 2017 -0400
"ext4: change fast symlink test to not rely on i_blocks"

This breaks the supermin v5.1.14 package (Ubuntu xenial version: 5.1.14-2ubuntu1)
which will not work with any kernel v4.13 based or later.

A fix for this is available in v5.1.18 and later releases of the Debian supermin.
The current Ubuntu devel release (Bionic) has already picked up the v5.1.19 version of
supermin.

Reproduction
================
This affects any user of supermin functionality, and manifests in multiple ways.
Along with this bug description breakage of libguestfs-test-tool, the bug also
can be reproduced with other tools.

e.g.:

# guestfish --rw -a /var/lib/libvirt/images/ubuntu-16.04-server-cloudimg-amd64-disk1.img
Welcome to guestfish, the guest filesystem shell for
editing virtual machine filesystems and disk images.

Type: 'help' for help on commands
'man' to read the manual
'quit' to quit the shell

><fs> run
◓ 50% ⟦▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒════════════════════════════════════════════════⟧ --:--
libguestfs: error: appliance closed the connection unexpectedly.
This usually means the libguestfs appliance crashed.
Do:
export LIBGUESTFS_DEBUG=1 LIBGUESTFS_TRACE=1
and run the command again. For further information, read:
http://libguestfs.org/guestfs-faq.1.html#debugging-libguestfs
You can also run 'libguestfs-test-tool' and post the *complete* output
into a bug report or message to the libguestfs mailing list.
libguestfs: error: guestfs_launch failed.
This usually means the libguestfs appliance failed to start or crashed.
Do:
export LIBGUESTFS_DEBUG=1 LIBGUESTFS_TRACE=1
and run the command again. For further information, read:
http://libguestfs.org/guestfs-faq.1.html#debugging-libguestfs
You can also run 'libguestfs-test-tool' and post the *complete* output
into a bug report or message to the libguestfs mailing list.
><fs>

Fix testing
===================
I have backported the fix to 5.1.14-2ubuntu1 and tested various utils
successfully.

# guestfish --rw -a /var/lib/libvirt/images/ubuntu-16.04-server-cloudimg-amd64-disk1.img

Welcome to guestfish, the guest filesystem shell for
editing virtual machine filesystems and disk images.

Type: 'help' for help on commands
      'man' to read the manual
      'quit' to quit the shell

><fs> run
run
 100% ⟦▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒⟧ 00:00
><fs>

# libguestfs-test-tool
...

commandrvf: stdout=n stderr=y flags=0x0
commandrvf: umount /sysroot
fsync /dev/sda
guestfsd: main_loop: proc 282 (internal_autosync) took 0.01 seconds
libguestfs: sending SIGTERM to process 3526
libguestfs: closing guestfs handle 0x117c2d0 (state 0)
libguestfs: command: run: rm
libguestfs: command: run: \ -rf /tmp/libguestfsohagIE
===== TEST FINISHED OK =====

Current workarounds and backport
===================================
An updated supermin...

Read more...

There is an updated package that can be used for testing with available at:

https://launchpad.net/~niveditasinghvi/+archive/ubuntu/supermin-symlink-fix

Direct link to supermin package for amd64/Xenial systems:

https://launchpad.net/~niveditasinghvi/+archive/ubuntu/supermin-symlink-fix/+files/supermin_5.1.14-2ubuntu2~test_amd64.deb

The fix for the symlink breakage is available in upstream v5.1.18 of supermin.
The latest upstream version, 5.1.19, has been picked up for the Bionic
release of Ubuntu, and testing has been successful there.

This backports 2 fixes from later (post-5.1.14 Xenial) supermin versions:

1. "ext2: Create symlinks properly (RHBZ#1470157)"
   https://github.com/libguestfs/supermin/commit/158854e3ba4be7f6b8d81f662ddad98358ede1de

2. "ext2: Don't load whole files into memory when copying to the applianc…"
   https://github.com/libguestfs/supermin/commit/f5a3deef588759c49dc862427a265aced612002d

to best integrate the symlink fix.

Note that there are the following updates to ext2fs-c.c file between the
5.1.14 (Xenial) version and 5.1.19 (Bionic):

* ext2: Create symlinks properly (RHBZ#1470157)
- Use AC_HEADER_MAJOR to find definitions of major, minor, makedev
- Include <sys/sysmacros.h> for major()/minor()
* ext2: Don't load whole files into memory when copying to the appliance (RHBZ#1113065)
- ext2: fix printf formatters
- ext2: check for needed block size

I'd appreciate any testing feedback, issues on the package for testing listed above.

Some additional notes.

* This bug only affects the Ubuntu Xenial distro release due to its
  supermin/kernel versions.

   supermin = v5.1.14
   kernel = v4.13.*

* Artful includes the v4.1.18 supermin package (which has the symlink fix)
  and Bionic has a later one ( v4.1.19). Thus neither is affected by
  this issue.

* Trusty is running an older version (4.1.6-1) of supermin but is not
  running the v4.13 or later kernel, and is thus not affected either.

Seth Arnold (seth-arnold) wrote :

On Tue, Feb 13, 2018 at 05:59:58PM -0000, Nivedita Singhvi wrote:
> * Trusty is running an older version (4.1.6-1) of supermin but is not
> running the v4.13 or later kernel, and is thus not affected either.

Don't forget that Trusty has a Linux 4.4 HWE kernel from Xenial:

https://launchpad.net/ubuntu/+source/linux-lts-xenial

Thanks

The attachment "Debdiff for updated supermin package in Xenial." seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Seth Arnold (seth-arnold) wrote :

On Tue, Feb 13, 2018 at 07:43:47PM -0000, Seth Arnold wrote:
> On Tue, Feb 13, 2018 at 05:59:58PM -0000, Nivedita Singhvi wrote:
> > * Trusty is running an older version (4.1.6-1) of supermin but is not
> > running the v4.13 or later kernel, and is thus not affected either.
>
> Don't forget that Trusty has a Linux 4.4 HWE kernel from Xenial:

Sigh. Don't mind me, I somehow read 4.13 your mail as "3.13".

Sorry for the noise.

No worries -- my laptop died right as I was in the middle of those updates..
Sigh. Still restoring my system to a new computer. But thanks for the
update..

Nivedita

On 02/13/2018 01:21 PM, Seth Arnold wrote:
> On Tue, Feb 13, 2018 at 07:43:47PM -0000, Seth Arnold wrote:
>> On Tue, Feb 13, 2018 at 05:59:58PM -0000, Nivedita Singhvi wrote:
>>> * Trusty is running an older version (4.1.6-1) of supermin but is not
>>> running the v4.13 or later kernel, and is thus not affected either.
>> Don't forget that Trusty has a Linux 4.4 HWE kernel from Xenial:
> Sigh. Don't mind me, I somehow read 4.13 your mail as "3.13".
>
> Sorry for the noise.
>

--
Nivedita Singhvi
STS Sustaining Engineering
IRC: niv

description: updated
description: updated
tags: added: sts-sponsor
Eric Desrochers (slashd) on 2018-02-14
Changed in supermin (Ubuntu Xenial):
importance: Undecided → Medium
assignee: nobody → Nivedita Singhvi (niveditasinghvi)
Changed in supermin (Ubuntu):
status: Confirmed → Fix Released
Changed in supermin (Ubuntu Xenial):
status: New → In Progress
tags: added: sts
removed: sts-sponsor
description: updated

Revised debdiff for the following changes:

* correct syntax for LP Bug #
* kept upstream patches as their original separate patches, rather
  than combining into one (second needed patch does not compile
  without the first change).

Hello Oliver, or anyone else affected,

Accepted supermin into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/supermin/5.1.14-2ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in supermin (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-xenial
Oliver (ojehle) wrote :

Hi Brian

supermin_5.1.14-2ubuntu1.1_amd64.deb Tested and works with kernel

Linux version 4.13.0-32-generic (buildd@lgw01-amd64-004) (gcc version 5.4.0 20160609 (Ubuntu 5.4.0-6ubuntu1~16.04.5)) #35~16.04.1-Ubuntu SMP

Thanks

Oliver (ojehle) wrote :

libguestfs-test-tool OK
virt-list-partitions OK

Oliver (ojehle) wrote :

please change to verification-done-xenial

Dan Streetman (ddstreet) wrote :

Thanks for verification @ojehle. BTW, you should be able to edit the tags to change them to verification-done-xenial, but I'll go ahead and update them.

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial

Thanks for the verification, Oliver!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package supermin - 5.1.14-2ubuntu1.1

---------------
supermin (5.1.14-2ubuntu1.1) xenial; urgency=medium

  * Backport fixes for symlink breakage, v4.13+ kernel support (LP: #1743300)

 -- Nivedita Singhvi <email address hidden> Wed, 14 Feb 2018 12:45:07 -0800

Changed in supermin (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for supermin has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers